ActivitiesMeetings

Get a single Meeting activity

View as Markdown
Meeting transcripts can be accessed using this API but are not loaded by default. To load transcripts, use the `_fields` parameter with `transcripts` value. The `transcripts` field is an array of objects for each Close Notetaker bot that joined the meeting. Typically, there will be only one transcript. Transcripts are ordered by the time bots joined the meeting. Example transcripts in response: ```json { "transcripts": [ { "utterances": [ { "speaker_label": "John Lead", "speaker_side": "contact", "start": 0.1, "end": 1.2, "text": "Hey, what's up? How is it going?" }, { "speaker_label": "Jane User", "speaker_side": "close-user", "start": 1.3, "end": 2.4, "text": "Hey John, I'm doing great. How about you?" } ], "summary_text": "Summary text", "summary_html": "<p>Summary text</p>" } ] } ```

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Query parameters

_fieldsstringOptional

Comma-separated list of fields to include in the response.

Response

Successful response
_typestring
activity_atdatetime or null
actual_durationinteger or null
attached_call_idslist of strings
attendeeslist of objects
calendar_event_uidslist of strings
connected_account_idstring or null
contact_idstring or null
conversation_type_idstring or null
conversation_type_reasonenum or null
created_bystring or null
date_createddatetime
date_updateddatetime
durationinteger
ends_atdatetime
idstring
integrationslist of maps from strings to any
is_recurringboolean
lead_idstring or null
locationstring
notestring
notetaker_idstring or null
organization_idstring
outcome_autofill_confidenceenum or null
outcome_autofill_reasoningstring or null
outcome_idstring or null
outcome_reasonenum or null
playbook_idstring or null
playbook_reasonenum or null
provider_calendar_event_idstring or null
provider_calendar_idslist of strings
provider_calendar_typeenum or null
sourceenum
starts_atdatetime
statusenum or null
summaryobject or null
titlestring
updated_bystring or null
user_idstring or null
user_notestring or null
user_note_date_updateddatetime or null
user_note_htmlstring or null
user_note_mentionslist of strings
userslist of strings
_paused_subscriptionslist of objectsOptional
comment_summaryobject or nullOptional
created_by_namestring or nullOptional
transcriptslist of nullable objectsOptional
updated_by_namestring or nullOptional
user_namestring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error